package com.sky.mapper;

import com.sky.entity.User;
import org.apache.ibatis.annotations.Mapper;

import java.util.Map;

@Mapper
public interface UserMapper {

    /**
     * 根据用户id查询用户
     *
     * @param openid String
     * @return User
     */
    User getByOpenid(String openid);

    /**
     * 如果为新用户自动完成注册
     *
     * @param user User
     */
    void insert(User user);

    /**
     * 当前登录用户id
     *
     * @param userId Long
     * @return User
     */
    User getById(Long userId);

    /**
     * 根据动态条件统计用户数量
     *
     * @param map
     * @return
     */
    Integer countByMap(Map map);
}
